# eric7.Plugins.WizardPlugins.QRegularExpressionWizard.QRegularExpressionWizardServer

Module implementing the PyQt6 server part of the QRegularExpression wizzard.

### Global Attributes

None

### Classes

None

### Functions

main | Function containing the main routine.
rxExecute | Function to execute the given regular expression for a given text.
rxValidate | Function to validate the given regular expression.

## main

main()

Function containing the main routine.

Up

## rxExecute

rxExecute(regexp, options, text, startpos)

Function to execute the given regular expression for a given text.

regexp
  regular expression to validate (string)
options
  list of options (list of string)
text
  text to execute on (string)
startpos
  start position for the execution (integer)

Return:
  tuple of a flag indicating a successful match (boolean) and a list of captures containing the complete match as matched string (string), match start (integer), match end (integer) and match length (integer) for each entry

Up

## rxValidate

rxValidate(regexp, options)

Function to validate the given regular expression.

regexp
  regular expression to validate (string)
options
  list of options (list of string)

Return:
  tuple of flag indicating validity (boolean), error string (string) and error offset (integer)

Up